getInvoices

Returns a paginated list of invoices within the specified date range. This endpoint searches for invoices from all legal entities associated with the caller based on specified search criteria.

Usage Plan:

Rate (requests per second)Burst
0.510

The x-amzn-RateLimit-Limit response header returns the usage plan rate limits that were applied to the requested operation. For questions about your usage plan, reach out to your Amazon Business technical contact.

Query Params
date-time
required

The start of the invoice issue date range to search for invoices, in ISO 8601 format. Must not be more than 366 days before invoiceIssueEndDate.

date-time
required

The end of the invoice issue date range to search for invoices, in ISO 8601 format. Must not be in the future and must not be more than 366 days after invoiceIssueStartDate.

string
enum

The region to filter invoices by. If provided, the API returns invoices in the specified region. Any invoices not in the specified region are not returned. If not provided, the API returns invoices from all marketplaces in the region of the API request.

Allowed:
paymentMethodTypes
array of strings
length ≥ 1

Filters the invoice results to a specified payment method type. The supported value is BCA (Business Credit Account). If you do not specify this parameter, the results include all invoices regardless of payment method.

paymentMethodTypes
string

A page token returned in the response to your previous request when the number of results exceed the page size. Must be used with the same query parameters as the original request. Changing parameters will result in an error. To get the next page of results, include nextPageToken as a parameter. There are no more pages to return when the response returns no nextPageToken.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json